You are not logged in.

#1 2013-03-20 23:58:23

theodoiq
Member
From: Brazil
Registered: 2013-03-20
Posts: 17

Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

Hello Guys!

I don't know how to categorize my this problem better..

After executing "# pacman -Syu", I've got this error:

[root@(none) moon]# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community                              1928.9 KiB   432K/s 00:04 [####################################] 100%
 archlinuxfr is up to date
:: Starting full system upgrade...
:: Replace khrplatform-devel with extra/mesa? [Y/n] y
:: Replace libegl with extra/mesa? [Y/n] y
:: Replace libgbm with extra/mesa? [Y/n] y
:: Replace libgl with extra/mesa-libgl? [Y/n] y
:: Replace libglapi with extra/mesa? [Y/n] y
:: Replace libgles with extra/mesa? [Y/n] y
:: Replace qt with extra/qt4? [Y/n] y
resolving dependencies...
looking for inter-conflicts...

Targets (283): acl-2.2.51-3  acpid-2.0.18-2  akonadi-1.9.1-1  amarok-2.7.0-3  apache-2.2.24-1
               appmenu-qt-0.2.6-4  archlinux-keyring-20130224-1  ati-dri-9.1.1-1  attica-0.4.1-2
               audiofile-0.3.6-1  automoc4-0.9.88-4  avahi-0.6.31-6  bash-4.2.045-1  boost-libs-1.52.0-1
               ca-certificates-20130119-1  ca-certificates-java-20121112+nmu2-1  cairo-1.12.14-3
               chromium-25.0.1364.172-1  cifs-utils-5.9-1  cmake-2.8.10.2-5  colord-0.1.30-2
               coreutils-8.21-1  cracklib-2.8.22-1  cryptsetup-1.6.0-1  cups-1.6.2-1  cups-filters-1.0.30-1
               curl-7.29.0-2  dbus-glib-0.100.2-1  device-mapper-2.02.98-3  dhcpcd-5.6.7-1
               docbook-xsl-1.78.0-1  dosfstools-3.0.16-1  e2fsprogs-1.42.7-1  enblend-enfuse-4.0-9
               ethtool-1:3.8-1  evince-3.6.1-2  ffmpeg-1:1.1.3-1  fftw-3.3.3-1  file-5.13-1
               file-roller-3.6.3-2  findutils-4.4.2-5  firefox-19.0.2-1  firefox-i18n-pt-br-19.0.2-1
               flashplugin-11.2.202.275-1  gcc-4.7.2-4  gcc-libs-4.7.2-4  gdk-pixbuf2-2.26.5-2
               gettext-0.18.2.1-1  ghostscript-9.07-1  gimp-2.8.4-1  git-1.8.2-1  glamor-egl-0.5.0-4
               glu-9.0.0-2  gmp-5.1.1-1  gnupg-2.0.19-6  gnutls-3.1.9-1  gparted-0.15.0-1  gpgme-1.3.2-1
               grantlee-0.3.0-2  graphite-1:1.2.1-1  grep-2.14-2  groff-1.22.2-2
               gtk-update-icon-cache-2.24.17-1  gtk2-2.24.17-1  gtk3-3.6.4-2  gv-3.7.4-1  gzip-1.5-3
               harfbuzz-0.9.9-3  hplip-3.13.3-2  hugin-2012.0.0-3  hwids-20130228-1  icu-50.1.2-1
               inputproto-2.3-1  intel-tbb-4.1_20130116-1  iproute2-3.8.0-1  iptables-1.4.18-1
               iso-codes-3.41-1  json-c-0.10-2  k3b-2.0.2-8  kactivities-4.10.1-1  kde-base-artwork-4.10.1-1
               kde-l10n-pt_br-4.10.1-1  kde-wallpapers-4.10.1-1  kdebase-dolphin-4.10.1-1
               kdebase-katepart-4.10.1-1  kdebase-kdepasswd-4.10.1-1  kdebase-kdialog-4.10.1-1
               kdebase-keditbookmarks-4.10.1-1  kdebase-kfind-4.10.1-1  kdebase-konqueror-4.10.1-1
               kdebase-konsole-4.10.1-1  kdebase-kwrite-4.10.1-1  kdebase-lib-4.10.1-1
               kdebase-plasma-4.10.1-1  kdebase-runtime-4.10.1-1  kdebase-workspace-4.10.1-1
               kdebindings-perlqt-4.10.1-1  kdebindings-python-common-4.10.1-1  kdebindings-python2-4.10.1-1
               kdebindings-smokegen-4.10.1-1  kdebindings-smokeqt-4.10.1-1  kdeedu-marble-4.10.1-1
               kdegraphics-gwenview-4.10.1-1  kdelibs-4.10.1-2  kdelibs3-3.5.10-16
               kdemultimedia-kmix-4.10.1-1  kdepim-runtime-4.10.1-1  kdepimlibs-4.10.1-1
               kdeplasma-addons-applets-luna-4.10.1-1  kdeplasma-applets-networkmanagement-1:0.9.0.8-1
               kdesdk-dolphin-plugins-4.10.1-1  khrplatform-devel-9.0.1-1 [removal]  kipi-plugins-3.1.0-1
               krb5-1.11.1-1  ktorrent-4.3.1-1  kwebkitpart-1.3.2-2  libao-1.1.0-3  libassuan-2.1.0-1
               libcups-1.6.2-1  libdbusmenu-qt-0.9.2-2  libdc1394-2.2.1-1  libdrm-2.4.42-1
               libegl-9.0.1-1 [removal]  libevent-2.0.21-2  libffi-3.0.12-1  libgbm-9.0.1-1 [removal]
               libgl-9.0.1-1 [removal]  libglapi-9.0.1-1 [removal]  libgles-9.0.1-1 [removal]
               libgnome-keyring-3.6.0-2  libgpg-error-1.11-1  libgphoto2-2.5.1-1  libgxps-0.2.2-2
               libidn-1.26-1  libkcddb-4.10.1-1  libkdcraw-4.10.1-2  libkexiv2-4.10.1-1  libkgeomap-3.1.0-1
               libkipi-4.10.1-1  libkolabxml-0.8.3-1  libksane-4.10.1-1  libksba-1.2.0-3
               libktorrent-1.3.1-1  libkvkontakte-3.1.0-1  liblastfm-1.0.6-2  libldap-2.4.34-1
               libmediawiki-3.1.0-1  libmpeg2-0.5.1-4  libmysqlclient-5.5.30-6  libnl-3.2.21-1
               libpcap-1.3.0-3  libpng-1.5.14-1  libproxy-0.4.11-1  libpurple-2.10.7-2
               libqzeitgeist-0.8.0-3  libraw1394-2.1.0-1  libupnp-1.6.18-1  libvdpau-0.6-1
               libwbclient-3.6.13-1  libx11-1.5.0-2  libxcb-1.9-3  libxi-1.7-1  libxkbcommon-0.2.0-3
               licenses-20130203-1  linux-3.8.3-2  linux-api-headers-3.7.4-1  lirc-utils-1:0.9.0-39
               logrotate-3.8.3-1  lsof-4.87-1  lvm2-2.02.98-3  man-pages-3.50-1  mdadm-3.2.6-3
               mercurial-2.5.2-1  mesa-9.1.1-1  mesa-libgl-9.1.1-1  mkinitcpio-0.13.0-1  mpd-0.17.3-3
               mpdscribble-0.22-6  mpfr-3.1.2-1  mpg123-1.15.1-1  mplayer-35920-1  mtools-4.0.18-1
               mutagen-1.21-1  mysql-5.5.30-6  mysql-clients-5.5.30-6  ncurses-5.9-5  nepomuk-core-4.10.1-1
               nepomuk-widgets-4.10.1-1  net-snmp-5.7.2-3  networkmanager-0.9.8.0-2  nspr-4.9.5-1
               nss-3.14.3-2  ntfs-3g-2013.1.13-2  opencv-2.4.4-1  openssh-6.1p1-6  openssl-1.0.1.e-3
               opera-12.14.1738-1  oxygen-icons-4.10.1-1  pacman-mirrorlist-20130203-1  perl-5.16.3-1
               perl-error-0.17019-1  phonon-1:4.6.0-8  phonon-vlc-0.6.2-1  php-5.4.13-2  php-apache-5.4.13-2
               php-cgi-5.4.13-2  pidgin-2.10.7-2  pinentry-0.8.2-2  pkg-config-0.28-1
               pm-quirks-0.20100619-3  polkit-0.110-1  polkit-qt-0.103.0-2  poppler-0.22.1-3
               poppler-data-0.4.6-1  poppler-glib-0.22.1-3  poppler-qt-0.22.1-3  postgresql-libs-9.2.3-1
               prison-1.0-2  pyqt-4.10-1  pyqt-common-4.10-1  pyqt3-3.18.1-12  python-sip-4.14.4-1
               python2-pyqt-4.10-1  python2-sip-4.14.4-1  qca-2.0.3-4  qimageblitz-0.0.6-3  qjson-0.8.1-2
               qrencode-3.4.2-1  qscintilla-2.7.1-1  qt-4.8.4-1 [removal]  qt4-4.8.4-13
               qtscriptgenerator-0.2.0-2  qtwebkit-2.3.beta2-2  qwt-6.0.2-2  raptor-2.0.9-1
               rasqal-1:0.9.30-1  redland-1:1.0.16-2  redland-storage-virtuoso-1:1.0.16-2
               reiserfsprogs-3.6.22-1  sane-1.0.23-3  sed-4.2.2-2  serf-1.2.0-1  sg3_utils-1.35-1
               shadow-4.1.5.1-5  shared-mime-info-1.1-1  sip-4.14.4-1  skype-4.1.0.20-5  smbclient-3.6.13-1
               sonata-1.6.2.1-9  soprano-2.9.0-2  speex-1.2rc1-3  sqlite-3.7.16-1  strigi-0.7.8-2
               sudo-1.8.6.p7-2  syslog-ng-3.4.1-2  systemd-198-1  texinfo-5.1-1  transmission-qt-2.77-2
               tzdata-2013b-1  udevil-0.4.1-1  upower-0.9.20-1  util-linux-2.22.2-2  v4l-utils-0.9.3-2
               vlc-2.0.5-4  wayland-1.0.5-1  which-2.20-6  wpa_supplicant-2.0-3  x264-20130206-1
               xcb-util-image-0.3.9-1  xcb-util-renderutil-0.3.8-1  xf86-input-evdev-2.7.3-3
               xf86-input-synaptics-1.6.3-2  xf86-video-ati-1:7.1.0-3  xine-lib-1.2.2-8
               xkeyboard-config-2.8-1  xorg-server-1.14.0-2  xorg-server-common-1.14.0-2
               xorg-sessreg-1.0.8-1  xorg-xev-1.2.1-1  xorg-xrandr-1.4.0-1  xorg-xset-1.2.2-2
               xorg-xsetroot-1.1.1-1  xterm-291-1

Total Installed Size:   2868.53 MiB
Net Upgrade Size:       186.27 MiB

Proceed with installation? [Y/n] y
(276/276) checking package integrity                              [####################################] 100%
(276/276) loading package files                                   [####################################] 100%
(276/276) checking for file conflicts                             [####################################] 100%
error: failed to commit transaction (conflicting files)
bash: /usr/bin/bash exists in filesystem
Errors occurred, no packages were upgraded.

I've tried to execute "pacman --root / -S filesystem glibc" and everthing was ok. After I did  "pacman -Syu" again, and no sucess.

Could someone please help me??

Thanks in advance ;-)

Last edited by theodoiq (2013-03-22 14:30:13)

Offline

#2 2013-03-21 00:24:08

drcouzelis
Member
From: Connecticut, USA
Registered: 2009-11-09
Posts: 3,497
Website

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

Good gravy, 3 GB of updates? I think you win an award for that or something.

When something like this happens to me I usually only have, like, a couple of packages that I'm updating. I assume, for some reason, the new bash package is conflicting with your old bash package. So I would (temporarily) uninstall bash, then go ahead and reinstall install (only) bash.

...so, either this will help you, or someone smarter than me will respond almost instantly telling you that I'm giving you horrible advice and teach you what you SHOULD do to resolve the problem. Either way, you're welcome. big_smile

Offline

#3 2013-03-21 00:48:49

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,073

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

pacman -Qo /usr/bin/bash

ls -l /usr/bin/bash

Don't uninstall bash! Pacman will die and you'll have to boot from a live disk/usb to get back up and running.

Offline

#4 2013-03-21 01:35:21

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

Looks like this bug report.
https://bugs.archlinux.org/task/33677


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#5 2013-03-21 02:10:08

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,416
Website

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

hadrons123 wrote:

Looks like this bug report.
https://bugs.archlinux.org/task/33677

Unrelated... 

Have you created a symlink for /bin?   Or created a /usr/bin/bash symlink yourself?

Offline

#6 2013-03-22 14:14:30

theodoiq
Member
From: Brazil
Registered: 2013-03-20
Posts: 17

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

Hey guys,

I've tried "pacman -Qo /usr/bin/bash; ls -l /usr/bin/bash", and no success.

After, I've looked "https://bugs.archlinux.org/task/33677", and tried a "useradd -m -g users /usr/bin/bash myuser" (substituing my user)... and no success again.

Finally I've did the insane remove and reinstall bash (with force).... and IT WORKS!!

After break my system and rescue, "pacman -Syu" works completely.

I think that is solved. Using a cleaning way:

pacman -f -U bash
pacman -Syu 

I think that is finished to me. Thanks a lot guys!! ;-)

Offline

#7 2013-04-07 00:24:12

jni
Member
Registered: 2009-10-30
Posts: 36

Re: Pacman -Syu -> error -> "/usr/bin/bash exists in filesystem" [SOLVED]

I've had the same issue today and found a somewhat safer workaround (I think). Uninstalling bash didn't seem right.

Scimmia was right, pacman -Qo /usr/bin/bash said no package owned that file, and ls -l /usr/bin/bash showed it was only a symlink to /bin/bash, so I simply deleted it "rm /usr/bin/bash" and re-installed my stuff. Everything worked that way and it felt safer than doing anything that involves "pacman" and "-f" in the same command line.

Offline

Board footer

Powered by FluxBB